:root {
  color-scheme: light;

  //light
  --background-color-light: #eeeeee;
  --tile-color-light: #FFFFFF;
  --txt-color-light: #121834;
  --lyrics-background-light: #eeeeee;
  //THEME SWITCHER
  --theme-switcher-light: #000000;
  //INPUT
  --input-txt-color-light: #121834;
  --input-txt-placeholder-light: #999999;
  --input-txt-border-light: #3f54b9;
  --input-txt-border-focus-light: #121834;
  //BUTTON
  --btn-txt-color-light: #FFFFFF;
  --btn-color-light: #121834;
  --btn-focus-light: #3F54B9FF;

  //dark
  --background-color-dark: #1e1e1e;
  --tile-color-dark: #313131;
  --txt-color-dark: #FFFFFF;
  --lyrics-background-dark: #313131;
  //THEME SWITCHER
  --theme-switcher-dark: #FFFFFF;
  //INPUT
  --input-txt-color-dark: #121834;
  --input-txt-placeholder-dark: #999999;
  --input-txt-border-dark: #b25836;
  --input-txt-border-focus-dark: #f57a4d;
  //BUTTON
  --btn-txt-color-dark: #121834;
  --btn-color-dark: #daa9ea;
  --btn-focus-dark: #cd54e7;
}

[color-scheme="light"] {
  --background-color: var(--background-color-light);
  --tile-color: var(--tile-color-light);
  --txt-color: var(--txt-color-light);
  --lyrics-background: var(--lyrics-background-light);
  //THEME SWITCHER
  --theme-switcher: var(--theme-switcher-light);
  //INPUT
  --input-txt-color: var(--input-txt-color-light);
  --input-txt-placeholder: var(--input-txt-placeholder-light);
  --input-txt-border: var(--input-txt-border-light);
  --input-txt-border-focus: var(--input-txt-border-light);
  //BUTTON
  --btn-txt: var(--btn-txt-color-light);
  --btn-color: var(--btn-color-light);
  --btn-focus: var(--btn-focus-light);
}


[color-scheme="dark"] {
  --background-color: var(--background-color-dark);
  --tile-color: var(--tile-color-dark);
  --txt-color: var(--txt-color-dark);
  --lyrics-background: var(--lyrics-background-dark);
  //THEME SWITCHER
  --theme-switcher: var(--theme-switcher-dark);
  //INPUT
  --input-txt-color: var(--input-txt-color-dark);
  --input-txt-placeholder: var(--input-txt-placeholder-dark);
  --input-txt-border: var(--input-txt-border-dark);
  --input-txt-border-focus: var(--input-txt-border-dark);
  //BUTTON
  --btn-txt: var(--btn-txt-color-dark);
  --btn-color: var(--btn-color-dark);
  --btn-focus: var(--btn-focus-dark);
}
